com.smartgwt.client.types

## Enum SelectItemsMode

- java.lang.Object
- - java.lang.Enum<SelectItemsMode>
  - - com.smartgwt.client.types.SelectItemsMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<SelectItemsMode>

      public enum SelectItemsMode
      extends java.lang.Enum<SelectItemsMode>
      implements ValueEnum

  Controls whether and when individual items are selected when clicking on a form in editMode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ITEM` select an individual item if the item itself it clicked on, but not its title cell
    `ITEMORTITLE` select an individual item if either the item or its title cell is clicked on.
    `NEVER` never allow selection of an individual item

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static SelectItemsMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SelectItemsMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ITEM

          public static final SelectItemsMode ITEM

      select an individual item if the item itself it clicked on, but not its title cell

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "item".

    - #### ITEMORTITLE

          public static final SelectItemsMode ITEMORTITLE

      select an individual item if either the item or its title cell is clicked on. NOTE: this mode is not the default because it can be make it difficult to select the form as a whole

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "itemOrTitle".

    - #### NEVER

          public static final SelectItemsMode NEVER

      never allow selection of an individual item

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "never".

  - ### Method Detail

    - #### values

          public static SelectItemsMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectItemsMode c : SelectItemsMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectItemsMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`